#include < iostream >

using namespace std ;

bool isProst(long long b){
 if(b==1 || b==2)
  return true;// 1 i 2 su prosti brojevi
  bool r=true;
 long d=2;
/* Trazi broj koji je delilac broja b na segmentu od 2 do b*/
 while(b % d != 0 )// Uslov petlje je da b nije deljiv sa d
 {
  d++;
 }
 if(d < b)
  r=false;
  return r;

}
int main()
{
 long long a, b ,c=0;
  for(int i=a; i <= b; i++)
 {
  if(isProst(i))
  {
   cout << i << " ";
   c++;
   if(c % 10 == 0)
    cout << endl;
  }
 }
}